## NAME

r.quant - Produces the quantization file for a floating-point map.

## KEYWORDS

raster, statistics, quantization

## SYNOPSIS

r.quant
r.quant --help
r.quant [-tr] input=string[,string,...] [rules=name] [basemap=string] [fprange=dmin,dmax] [range=min,max] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-t
  Truncate floating point data
-r
  Round floating point data
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=string[,string,...] [required]
  Raster map(s) to be quantized
rules=name
  Path to rules file ("-" to read from stdin)
basemap=string
  Base map to take quant rules from
fprange=dmin,dmax
  Floating point range: dmin,dmax
range=min,max
  Integer range: min,max

## DESCRIPTION

r.quant produces the quantization file for a floating-point map.

The map parameter defines the map for which the rules are to be created. If more than one map is specified, then this implies that the floating-point range is the minimum and maximum of all the maps together, unless either basemap=map or fprange=min,max is specified.

### Quant rules

The quant rules have to be entered interactively.

If rules is specified, the input has the form:

value1:value2:cat1:[cat2]

where value1 and value2 are floating point values and cat1 cand cat2 are integers. If cat2 is missing, it is taken to be equal to cat1. All values can be "*" which means infinity.

## NOTE

It is an error for both basemap and fprange to be specified.

## SEE ALSO

r.support, r.null

## AUTHOR

Michael Shapiro, Olga Waupotitsch, U.S.Army Construction Engineering Research Laboratory

## SOURCE CODE

Available at: r.quant source code (history)

Accessed: Saturday Mar 23 01:03:27 2024

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.4.0dev Reference Manual